GDB (xrefs)

Public Attributes | List of all members
v850_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
LONGEST | sp_offset
CORE_ADDR | pc
int | uses_fp
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 278 of file v850-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR v850_frame_cache::base

Definition at line 281 of file v850-tdep.c.

Referenced by v850_alloc_frame_cache(), v850_frame_base_address(), v850_frame_cache(), and v850_frame_this_id().

## ◆ pc

CORE_ADDR v850_frame_cache::pc

Definition at line 283 of file v850-tdep.c.

Referenced by v850_alloc_frame_cache(), v850_frame_cache(), and v850_frame_this_id().

## ◆ saved_regs

struct trad_frame_saved_reg* v850_frame_cache::saved_regs

Definition at line 289 of file v850-tdep.c.

Referenced by v850_alloc_frame_cache(), v850_analyze_prologue(), v850_frame_cache(), v850_frame_prev_register(), and v850_frame_this_id().

## ◆ sp_offset

LONGEST v850_frame_cache::sp_offset

Definition at line 282 of file v850-tdep.c.

Referenced by v850_alloc_frame_cache(), v850_analyze_prologue(), v850_frame_cache(), v850_handle_prepare(), and v850_handle_pushm().

## ◆ uses_fp

int v850_frame_cache::uses_fp

Definition at line 286 of file v850-tdep.c.

Referenced by v850_alloc_frame_cache(), v850_analyze_prologue(), and v850_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/v850-tdep.c